Package: groovy.console.ui

## [Groovy] Class BytecodeCollector

- groovy.console.ui.BytecodeCollector

-     class BytecodeCollector
      extends GroovyClassLoader.ClassCollector

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Map<String, byte[]>` | `bytecode`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BytecodeCollector(GroovyClassLoader.ClassCollector delegate, Map<String, byte[]> bytecode)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Class` | `createClass(byte[] code, ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyClassLoader.ClassCollector` | `call, createClass, getDefiningClassLoader, getLoadedClasses, onClassNode`

- - ### Property Detail

    - #### Map<String, byte[]> bytecode

  - ### Constructor Detail

    - #### BytecodeCollector(GroovyClassLoader.ClassCollector delegate, Map<String, byte[]> bytecode)

  - ### Method Detail

    - #### @Override
      protected Class createClass(byte[] code, ClassNode classNode)